<?php

namespace BYDAuto;

use BYDAuto\Foundation\DataTransfer;
use Illuminate\Support\Arr;

class CheryResult extends DataTransfer
{
    public $code;

    public $msg;

    public $data;

    public $reqId;

    public function __construct($attributes)
    {
        $this->code = Arr::get($attributes, 'code');
        $this->msg = Arr::get($attributes, 'msg');
        $this->data = Arr::get($attributes, 'data');
        $this->reqId = Arr::get($attributes, 'reqId');
        $this->attributes = $attributes;
    }
}
